Skip to main content
Data Protection/Backup Management Interfaces
GETBackup Management InterfacesSince 3.4.0SynchronousAuth Required

Query Scheduler Job Groups

Query Scheduler Job Groups

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if there is no source error

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      UUID of the scheduler job group. Uniquely identifies the resource

    • nameStringRequired

      Scheduler job group name

    • descriptionStringRequired

      Detailed description of the scheduler job group

    • stateStringRequired

      State of the scheduler job group

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • jobDataStringRequired

      Job parameters

    • triggersUuidListRequired

      Trigger UUID

Endpoint

GET/zstack/v1/scheduler/jobgroups

/zstack/v1/scheduler/jobgroups

Operation ID

QuerySchedulerJobGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/scheduler/jobgroups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "03dd26d45bb43bb094f3fdec29d78829", "name": "test", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history